Foreman - Feature #16222

Make Hound run ESLint on new JS
08/22/2016 04:13 AM - Daniel Lobato Garcia

Status: Closed

Priority: Normal

Assignee: Daniel Lobato Garcia
Category: Tests

Target version: 1.13.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/3761,

https://github.com/theforeman/foreman/p

ull/3776,

https://github.com/theforeman/foreman/p

ull/3787
Description

#15806 adds support for ESLint on new JS code via 'npm run lint'

. We can make houndCl run these tests on every PR fairly easily

Related issues:

Follows Foreman - Feature #15806: Add eslint to foreman

Closed

Associated revisions

Revision da6a1676 - 08/22/2016 02:29 PM - Daniel Lobato Garcia
Fixes #16222 - Make HoundClI round ESLint on new JS

15806 adds support for ESLint on new JS code via 'npm run lint'

This contains the configuration to make HoundCl run these linting checks

and comment on the pull request with any warnings. It'll ignore the old
javascript in app/assets/javascript

Revision f233e57d - 08/24/2016 11:21 AM - Tomer Brisker

Refs #16222 - Increase scope of eslint ignore

Revision aa847c7c - 08/28/2016 08:39 AM - Tomer Brisker

Refs #16222 - remove no-global-assign rule from eslint

Hound uses an older version of eslint that does not support this rule
leading to confusing comments on PRs. The rule is not crucial and can be
removed.

Revision dd57843d - 08/31/2016 03:57 AM - Ohad Levy
Refs #16222 - remove no-global-assign rule from eslint (#3787)
Hound uses an older version of eslint that does not support this rule

leading to confusing comments on PRs. The rule is not crucial and can be
removed.

History

#1 - 08/22/2016 04:15 AM - Daniel Lobato Garcia
- Follows Feature #15806: Add eslint to foreman added

#2 - 08/22/2016 04:20 AM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia
https://projects.theforeman.org/issues/15806

- Pull request https://github.com/theforeman/foreman/pull/3761 added

#3 - 08/22/2016 03:02 PM - Daniel Lobato Garcia
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset da6a16764757d4a6f842b6fb5bfb2089229f371f.

#4 - 08/23/2016 03:27 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#5 - 08/23/2016 10:01 AM - Daniel Lobato Garcia

- Target version set to 1.6.2

#6 - 08/24/2016 10:15 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/3776 added

#7 - 08/28/2016 08:40 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/3787 added
